POST /fulfillment/cancel

Cancel Delivery

This endpoint allows a way of receiving notification from our partners that a job they have previously accepted is no longer possible to be dispatched by their system.

Currently, cancelation is only supported for the below reason tags.

REASON TAGS

reasonTag Meaning
COURIER_NO_LONGER_AVAILABLE There is no longer an available courier for the delivery
COURIER_TRANSPORT_FAILURE Courier attempted to deliver but could not because of a transport failure (e.g., a flat tire)
FOOD_ITEMS_ARE_NOT_READY The order was not ready within the agreed time after pick up (between the dispatch partner and merchant)
DROP_OFF_LOCATION_NOT_FOUND The courier could not find the delivery location
CUSTOMER_UNRESPONSIVE The customer did'nt pick up the phone nor open the door.
PACKAGE_SIZE_TOO_LARGE The package size is too large to be delivered

📘 Cancellation cut-off time

You can cancel the delivery job with a valid reasonTag at any point before "Delivered".

aplication/json

Body

string string

Responses

  • 200 application/json

    Ok

  • 400 application/json

    Bad Request

POST /fulfillment/cancel
curl \
 --request POST 'https://api.staging.deliverect.com/fulfillment/cancel' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: aplication/json"
Request example
{
  "deliveryJobId": "648******************874",
  "reasonTag": "CUSTOMER_UNRESPONSIVE",
  "deliveryFeeCharged": 4500,
  "extraDescription": "Tried many times"
}
Response examples (200)
{
  "result": "OK"
}
Response examples (400)
{
  "error": "Bad Request"
}